Bug 223303 - audio/rhythmbox: update to 3.4.2
Summary: audio/rhythmbox: update to 3.4.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Joe Marcus Clarke
URL:
Keywords: patch, patch-ready
Depends on:
Blocks:
 
Reported: 2017-10-29 12:18 UTC by Carlos J. Puga Medina
Modified: 2018-01-08 14:57 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (marcus)


Attachments
patch (56.20 KB, patch)
2017-10-29 12:18 UTC, Carlos J. Puga Medina
no flags Details | Diff
patch (56.18 KB, patch)
2017-10-29 14:10 UTC, Carlos J. Puga Medina
no flags Details | Diff
patch-rhythmbox-3.4.2 (56.19 KB, patch)
2017-12-10 10:58 UTC, Carlos J. Puga Medina
cpm: maintainer-approval? (marcus)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Carlos J. Puga Medina freebsd_committer 2017-10-29 12:18:56 UTC
Created attachment 187557 [details]
patch

- Update to 3.4.2
- Add LICENSE and LICENSE_FILE
- Sort OPTIONS_DEFINE
- Add NLS option
- Update WWW in pkg-descr

Changes: https://github.com/GNOME/rhythmbox/blob/master/NEWS
Comment 1 Carlos J. Puga Medina freebsd_committer 2017-10-29 14:10:16 UTC
Created attachment 187558 [details]
patch

- Fix gettext usage conditionally
Comment 2 Carlos J. Puga Medina freebsd_committer 2017-10-29 14:56:51 UTC
The rhythmbox plugins that depends on python3 cannot be activated successfully.

As a workaround, we can disable the python plugins for now.
Comment 3 Carlos J. Puga Medina freebsd_committer 2017-12-10 10:58:46 UTC
Created attachment 188683 [details]
patch-rhythmbox-3.4.2

- Update svn diff after convert Python ports to FLAVORS (r455210).
Comment 4 Carlos J. Puga Medina freebsd_committer 2017-12-10 11:03:35 UTC
(In reply to Carlos J. Puga Medina from comment #2)

Python plugins works fine with PY_FLAVORS.
Comment 5 Joe Marcus Clarke freebsd_committer 2018-01-08 14:56:38 UTC
Committed, thanks!
Comment 6 commit-hook freebsd_committer 2018-01-08 14:57:10 UTC
A commit references this bug:

Author: marcus
Date: Mon Jan  8 14:56:12 UTC 2018
New revision: 458425
URL: https://svnweb.freebsd.org/changeset/ports/458425

Log:
  Update to 3.4.2.

  PR:		223303
  Submitted by:	cpm

Changes:
  head/audio/rhythmbox/Makefile
  head/audio/rhythmbox/distinfo
  head/audio/rhythmbox/pkg-descr
  head/audio/rhythmbox/pkg-plist